Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236551 - udpEndpointProcess does not show peer IPv4 or IPv6 address
Summary: udpEndpointProcess does not show peer IPv4 or IPv6 address
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-16 11:59 UTC by Peter Bieringer
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: net-snmp-5.3.1-15.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-16 09:15:25 UTC


Attachments (Terms of Use)

Description Peter Bieringer 2007-04-16 11:59:50 UTC
Description of problem:
The peer IPv4 or IPv6 address is not shown in udpEndpointProcess, while working
for TCP.

This was already mentioned in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=200255#c9


Version-Release number of selected component (if applicable):
net-snmp-5.3.1-14.fc6


How reproducible:
Always

Steps to Reproduce:
1.
Server side:
# nc -6 -l -u ::1 50000
# nc -l -u 127.0.0.1 50001

Client side:
# nc -6 -u ::1 50000
# nc -u 127.0.0.1 50001

2. netstat -pun
  
Actual results:

# snmpwalk -v 2c -c public localhost UDP-MIB::udpEndpointProcess |egrep "5000[01]"
UDP-MIB::udpEndpointProcess.ipv4."127.0.0.1".32824.ipv4."".50001.0 = Gauge32: 0
UDP-MIB::udpEndpointProcess.ipv4."127.0.0.1".50001.ipv4."".32824.0 = Gauge32: 0
UDP-MIB::udpEndpointProcess.ipv6."00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:01".32825.ipv6."".50000.0
= Gauge32: 0
UDP-MIB::udpEndpointProcess.ipv6."00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:01".50000.ipv6."".32825.0
= Gauge32: 0


Expected results:

# snmpwalk -v 2c -c public localhost UDP-MIB::udpEndpointProcess |egrep "5000[01]"
UDP-MIB::udpEndpointProcess.ipv4."127.0.0.1".32824.ipv4."127.0.0.1".50001.0 =
Gauge32: 0
UDP-MIB::udpEndpointProcess.ipv4."127.0.0.1".50001.ipv4."127.0.0.1".32824.0 =
Gauge32: 0
UDP-MIB::udpEndpointProcess.ipv6."00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:01".32825.ipv6."00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:01".50000.0
= Gauge32: 0
UDP-MIB::udpEndpointProcess.ipv6."00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:01".50000.ipv6."00:00:00:00:00:00:00:00:00:00:00:00:00:00:00:01".32825.0
= Gauge32: 0


Additional info:

netstat shows the proper information:

# LC_ALL=C netstat -npu
Active Internet connections (w/o servers)
Proto Recv-Q Send-Q Local Address               Foreign Address            
State       PID/Program name   
udp        0      0 127.0.0.1:32824             127.0.0.1:50001            
ESTABLISHED 6360/nc             
udp        0      0 127.0.0.1:50001             127.0.0.1:32824            
ESTABLISHED 6359/nc             
udp        0      0 ::1:32825                   ::1:50000                  
ESTABLISHED 6363/nc             
udp        0      0 ::1:50000                   ::1:32825                  
ESTABLISHED 6362/nc      


For TCP it's working fine:

# snmpwalk -v 2c -c public localhost TCP-MIB::tcpConnectionProcess | grep 631
TCP-MIB::tcpConnectionProcess.ipv4."127.0.0.1".36924.ipv4."127.0.0.1".631 =
Gauge32: 0

Comment 1 Jan Safranek 2007-05-03 11:23:06 UTC
The bug is already fixed upstream and will appear in next release of net-snmp
packages.

http://sourceforge.net/tracker/index.php?func=detail&aid=1676478&group_id=12694&atid=312694

Comment 2 Jan Safranek 2007-07-16 09:15:25 UTC
net-snmp-5.3.1-15.fc6 has been pushed for FC6, which should resolve this issue.
If these problems are still present in this version, then please make note of it
in this bug report. 


Note You need to log in before you can comment on or make changes to this bug.